| Kea 3.0.2-git

testdata.h File Reference

Manipulating test data files. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util
namespace | isc::util::unittests

## Functions
void | isc::util::unittests::addTestDataPath (const std::string &path)
| Add a path (directory) that `openTestData()` will search for test data files.
void | isc::util::unittests::openTestData (const char *const datafile, std::ifstream &ifs)
| Open a file specified by 'datafile' using the data paths registered via addTestDataPath().

## Detailed Description

Manipulating test data files.

This utility defines functions that help test case handle test data stored in a file.

Definition in file testdata.h.